ZooKeeperServerConf (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server

## Class ZooKeeperServerConf

- java.lang.Object
- - org.apache.zookeeper.server.ZooKeeperServerConf

-     public class ZooKeeperServerConf
      extends Object

  Configuration data for a `ZooKeeperServer`. This class is immutable.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `KEY_CLIENT_PORT` The key in the map returned by `toMap()` for the client port.
    `static String` | `KEY_CLIENT_PORT_LISTEN_BACKLOG` The key in the map returned by `toMap()` for the server socket listen backlog.
    `static String` | `KEY_DATA_DIR` The key in the map returned by `toMap()` for the data directory.
    `static String` | `KEY_DATA_LOG_DIR` The key in the map returned by `toMap()` for the data log directory.
    `static String` | `KEY_MAX_CLIENT_CNXNS` The key in the map returned by `toMap()` for the maximum client connections per host.
    `static String` | `KEY_MAX_SESSION_TIMEOUT` The key in the map returned by `toMap()` for the maximum session timeout.
    `static String` | `KEY_MIN_SESSION_TIMEOUT` The key in the map returned by `toMap()` for the minimum session timeout.
    `static String` | `KEY_SERVER_ID` The key in the map returned by `toMap()` for the server ID.
    `static String` | `KEY_TICK_TIME` The key in the map returned by `toMap()` for the tick time.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getClientPort()` Gets the client port.
    `int` | `getClientPortListenBacklog()` Returns the server socket listen backlog length.
    `String` | `getDataDir()` Gets the data directory.
    `String` | `getDataLogDir()` Gets the data log directory.
    `int` | `getMaxClientCnxnsPerHost()` Gets the maximum client connections per host.
    `int` | `getMaxSessionTimeout()` Gets the maximum session timeout.
    `int` | `getMinSessionTimeout()` Gets the minimum session timeout.
    `long` | `getServerId()` Gets the server ID.
    `int` | `getTickTime()` Gets the tick time.
    `Map<String,Object>` | `toMap()` Converts this configuration to a map.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KEY_CLIENT_PORT

          public static final String KEY_CLIENT_PORT

      The key in the map returned by `toMap()` for the client port.
      See Also:
        Constant Field Values

    - #### KEY_DATA_DIR

          public static final String KEY_DATA_DIR

      The key in the map returned by `toMap()` for the data directory.
      See Also:
        Constant Field Values

    - #### KEY_DATA_LOG_DIR

          public static final String KEY_DATA_LOG_DIR

      The key in the map returned by `toMap()` for the data log directory.
      See Also:
        Constant Field Values

    - #### KEY_TICK_TIME

          public static final String KEY_TICK_TIME

      The key in the map returned by `toMap()` for the tick time.
      See Also:
        Constant Field Values

    - #### KEY_MAX_CLIENT_CNXNS

          public static final String KEY_MAX_CLIENT_CNXNS

      The key in the map returned by `toMap()` for the maximum client connections per host.
      See Also:
        Constant Field Values

    - #### KEY_MIN_SESSION_TIMEOUT

          public static final String KEY_MIN_SESSION_TIMEOUT

      The key in the map returned by `toMap()` for the minimum session timeout.
      See Also:
        Constant Field Values

    - #### KEY_MAX_SESSION_TIMEOUT

          public static final String KEY_MAX_SESSION_TIMEOUT

      The key in the map returned by `toMap()` for the maximum session timeout.
      See Also:
        Constant Field Values

    - #### KEY_SERVER_ID

          public static final String KEY_SERVER_ID

      The key in the map returned by `toMap()` for the server ID.
      See Also:
        Constant Field Values

    - #### KEY_CLIENT_PORT_LISTEN_BACKLOG

          public static final String KEY_CLIENT_PORT_LISTEN_BACKLOG

      The key in the map returned by `toMap()` for the server socket listen backlog.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getClientPort

          public int getClientPort()

      Gets the client port.
      Returns:
        client port

    - #### getDataDir

          public String getDataDir()

      Gets the data directory.
      Returns:
        data directory

    - #### getDataLogDir

          public String getDataLogDir()

      Gets the data log directory.
      Returns:
        data log directory

    - #### getTickTime

          public int getTickTime()

      Gets the tick time.
      Returns:
        tick time

    - #### getMaxClientCnxnsPerHost

          public int getMaxClientCnxnsPerHost()

      Gets the maximum client connections per host.
      Returns:
        maximum client connections per host

    - #### getMinSessionTimeout

          public int getMinSessionTimeout()

      Gets the minimum session timeout.
      Returns:
        minimum session timeout

    - #### getMaxSessionTimeout

          public int getMaxSessionTimeout()

      Gets the maximum session timeout.
      Returns:
        maximum session timeout

    - #### getServerId

          public long getServerId()

      Gets the server ID.
      Returns:
        server ID

    - #### getClientPortListenBacklog

          public int getClientPortListenBacklog()

      Returns the server socket listen backlog length.

    - #### toMap

          public Map<String,Object> toMap()

      Converts this configuration to a map. The returned map is mutable, and changes to it do not reflect back into this configuration.
      Returns:
        map representation of configuration

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.